<bluemsxtheme name="DIGIblue V2.1 Revisited">
<!--
  DIGIblue V2.1 Revisited is an official theme designed to work with blueMSX v2.2. 
  This is a previously released theme updated to work with v2.2 specification.
  Theme scripting is based on the v2.2 specification and may not be supported in future release.
																			 	
	Copyright 2004-2005 Ray Zero (Concept & Design)
		
  A special thanks blueMSX team members for their input and encouragement.
-->
    <!--======== Normal window size theme ========-->
    <theme mode="normal" width="800" height="722">
        <emuwindow x="78" y="86"/>
        <menu x="22" y="2" bgcolor="0379AE" fgcolor="FFFFFF" focuscolor="6995ba"/>

	<!-- Tool Bar Block-1 -->
	<block x="0" y="0">
	<image x="0" y="0" src="v2-mediatool.bmp"/>

	<led x="68" y="49" src="leds/MEDIA-LED.bmp" trigger="not emu-stopped"/>

	<dualbutton x="90" y="47" src="buttons/RESET-BUTTON.bmp" action1="emu-resethard" action2="menu-reset" arg2x="90" arg2y="75"/>
	<button x="159" y="48" src="buttons/PLAY-BUTTON.bmp" action="emu-togglepause" visible="not emu-running"/>
	<button x="176" y="48" src="buttons/PAUSE-BUTTON.bmp" action="emu-togglepause" visible="emu-running"/>
	<button x="193" y="48" src="buttons/STOP-BUTTON.bmp" action="emu-stop" visible="not emu-stopped"/>

        <dualbutton x="223" y="48" src="buttons/MONITOR-BUTTON.bmp" action1="window-small" action2="menu-windowsize" arg2x="223" arg2y="73"/>
	<dualbutton x="247" y="48" src="buttons/CONFIG-BUTTON.bmp" action1="dlg-controls" action2="menu-options" arg2x="247" arg2y="73"/>
	<button x="270" y="48" src="buttons/HELP-BUTTON.bmp" action="dlg-help"/>

	<!--media control-->
        <led x="454" y="47" src="leds/MEDIA-LED.bmp" trigger="led-diska"/>
        <led x="521" y="47" src="leds/MEDIA-LED.bmp" trigger="led-diskb"/>
        <led x="588" y="47" src="leds/MEDIA-LED.bmp" trigger="led-cassette"/>
	<dualbutton x="401" y="61" src="buttons/SLOT-BUTTON.bmp" action1="cart1-insert" action2="menu-cart1" arg2x="401" arg2y="73"/>
	<dualbutton x="468" y="61" src="buttons/SLOT-BUTTON.bmp" action1="cart2-insert" action2="menu-cart2" arg2x="468" arg2y="73"/>
	<dualbutton x="401" y="45" src="buttons/FDD-BUTTON.bmp" action1="diska-insert" action2="menu-diska" arg2x="401" arg2y="58"/>
	<dualbutton x="468" y="45" src="buttons/FDD-BUTTON.bmp" action1="diskb-insert" action2="menu-diskb" arg2x="468" arg2y="58"/>
	<dualbutton x="535" y="45" src="buttons/CAS-BUTTON.bmp" action1="cas-insert" action2="menu-cassette" arg2x="535" arg2y="58"/>
	</block>

	<!-- TV Screen Block-2 -->
	<block x="0" y="77">
	<image x="0" y="0" src="v2-tvscreen.bmp"/>
	<text x="70" y="496" align="right" width="110" src="fonts/FONT.bmp" visible="not emu-stopped" trigger="text-runningname"/>
	<text x="70" y="496" align="right" width="110" src="fonts/FONT.bmp" visible="emu-stopped" trigger="text-buildandversion"/>

        <led x="748" y="30" src="leds/TINY-LED.bmp" trigger="led-caps"/>
        <led x="748" y="40" src="leds/TINY-LED.bmp" trigger="led-kana"/>
        <led x="748" y="50" src="leds/TINY-LED.bmp" trigger="led-turbor"/>

        <led x="485" y="526" src="leds/SWITCH-LED.bmp" trigger="led-frontswitch"/>
        <led x="473" y="526" src="leds/SWITCH-LED.bmp" trigger="led-audioswitch"/>
        <led x="461" y="526" src="leds/SWITCH-LED.bmp" trigger="led-pauseswitch"/>
	</block>

	<!-- Console Block-3 -->
	<block x="0" y="598">
        <image x="0" y="0" src="v2-console.bmp"/>
        <slider x="443" y="63" src="sliders/VOLUME-DIAL.bmp" max="20" trigger="level-master" action="level-master" direction="vertical" sensitivity="4"/>
	<slider x="508" y="35" src="sliders/CLOCK-DIAL.bmp" max="19" trigger="slider-emuspeed" action="slider-emuspeed" direction="vertical" sensitivity="5"/>
	<slider x="75" y="32" src="sliders/VOLUME-BAR.bmp" max="28" trigger="level-psg" action="level-psg" direction="vertical" sensitivity="2"/>
	<slider x="119" y="32" src="sliders/VOLUME-BAR.bmp" max="28" trigger="level-scc" action="level-scc" direction="vertical" sensitivity="2"/>
	<slider x="163" y="32" src="sliders/VOLUME-BAR.bmp" max="28" trigger="level-pcm" action="level-pcm" direction="vertical" sensitivity="2"/>
	<slider x="207" y="32" src="sliders/VOLUME-BAR.bmp" max="28" trigger="level-msxmusic" action="level-msxmusic" direction="vertical" sensitivity="2"/>
	<slider x="251" y="32" src="sliders/VOLUME-BAR.bmp" max="28" trigger="level-msxaudio" action="level-msxaudio" direction="vertical" sensitivity="2"/>
	<!--slider x="295" y="32" src="sliders/VOLUME-BAR.bmp" max="28" trigger="level-msxmidi" action="level-msxmidi" direction="vertical" sensitivity="2"/-->
	<slider x="339" y="32" src="sliders/VOLUME-BAR.bmp" max="28" trigger="level-moonsound" action="level-moonsound" direction="vertical" sensitivity="2"/>
	<slider x="383" y="32" src="sliders/VOLUME-BAR.bmp" max="28" trigger="level-keyboard" action="level-keyboard" direction="vertical" sensitivity="2"/>

	<slider x="61" y="5" src="sliders/PAN-DIAL.bmp" max="23" trigger="pan-psg" action="pan-psg" direction="vertical" sensitivity="3"/>
	<slider x="105" y="5" src="sliders/PAN-DIAL.bmp" max="23" trigger="pan-scc" action="pan-scc" direction="vertical" sensitivity="3"/>
	<slider x="149" y="5" src="sliders/PAN-DIAL.bmp" max="23" trigger="pan-pcm" action="pan-pcm" direction="vertical" sensitivity="3"/>
	<slider x="193" y="5" src="sliders/PAN-DIAL.bmp" max="23" trigger="pan-msxmusic" action="pan-msxmusic" direction="vertical" sensitivity="3"/>
	<slider x="237" y="5" src="sliders/PAN-DIAL.bmp" max="23" trigger="pan-msxaudio" action="pan-msxaudio" direction="vertical" sensitivity="3"/>
	<!--slider x="281" y="5" src="sliders/PAN-DIAL.bmp" max="23" trigger="pan-msxmidi" action="pan-msxmidi" direction="vertical" sensitivity="3"/-->
	<slider x="325" y="5" src="sliders/PAN-DIAL.bmp" max="23" trigger="pan-moonsound" action="pan-moonsound" direction="vertical" sensitivity="3"/>
	<slider x="369" y="5" src="sliders/PAN-DIAL.bmp" max="23" trigger="pan-keyboard" action="pan-keyboard" direction="vertical" sensitivity="3"/>

	<meter x="57" y="35" max="19" src="leds/SMALL-VOLUME-LED.bmp" trigger="volume-psg-left"/>
	<meter x="64" y="35" max="19" src="leds/SMALL-VOLUME-LED.bmp" trigger="volume-psg-right"/>
	<meter x="101" y="35" max="19" src="leds/SMALL-VOLUME-LED.bmp" trigger="volume-scc-left"/>
	<meter x="108" y="35" max="19" src="leds/SMALL-VOLUME-LED.bmp" trigger="volume-scc-right"/>
	<meter x="145" y="35" max="19" src="leds/SMALL-VOLUME-LED.bmp" trigger="volume-pcm-left"/>
	<meter x="152" y="35" max="19" src="leds/SMALL-VOLUME-LED.bmp" trigger="volume-pcm-right"/>
	<meter x="189" y="35" max="19" src="leds/SMALL-VOLUME-LED.bmp" trigger="volume-msxmusic-left"/>
	<meter x="196" y="35" max="19" src="leds/SMALL-VOLUME-LED.bmp" trigger="volume-msxmusic-right"/>
	<meter x="233" y="35" max="19" src="leds/SMALL-VOLUME-LED.bmp" trigger="volume-msxaudio-left"/>
	<meter x="240" y="35" max="19" src="leds/SMALL-VOLUME-LED.bmp" trigger="volume-msxaudio-right"/>
	<!--meter x="277" y="35" max="19" src="leds/SMALL-VOLUME-LED.bmp" trigger="volume-msxmidi-left"/-->
	<!--meter x="284" y="35" max="19" src="leds/SMALL-VOLUME-LED.bmp" trigger="volume-msxmidi-right"/-->
	<meter x="321" y="35" max="19" src="leds/SMALL-VOLUME-LED.bmp" trigger="volume-moonsound-left"/>
	<meter x="328" y="35" max="19" src="leds/SMALL-VOLUME-LED.bmp" trigger="volume-moonsound-right"/>
	<meter x="365" y="35" max="19" src="leds/SMALL-VOLUME-LED.bmp" trigger="volume-keyboard-left"/>
	<meter x="372" y="35" max="19" src="leds/SMALL-VOLUME-LED.bmp" trigger="volume-keyboard-right"/>
	<meter x="409" y="35" max="19" src="leds/LARGE-VOLUME-LED.bmp" trigger="volume-master-left"/>
	<meter x="422" y="35" max="19" src="leds/LARGE-VOLUME-LED.bmp" trigger="volume-master-right"/>

        <!--button x="82" y="112" src="switches/MUTE-SWITCH.bmp" trigger="led-audioswitch" action="switch-setmsxaudio"/-->

	<text x="549" y="17" align="right" width="32" src="fonts/FONT.bmp" trigger="text-machinename"/>
	<text x="621" y="44" align="right" width="20" src="fonts/FONT.bmp" trigger="text-rommapper1"/>
	<text x="706" y="71" align="right" width="6" src="fonts/FONT.bmp" trigger="text-ramsize"/>
	<text x="706" y="98" align="right" width="6" src="fonts/FONT.bmp" trigger="text-vramsize"/>
	<text x="638" y="98" align="right" width="6" src="fonts/FONT.bmp" trigger="text-screentypeshort"/>
	<text x="571" y="98" align="right" width="6" src="fonts/FONT.bmp" trigger="text-cpuusage"/>
	<text x="571" y="71" align="right" width="6" src="fonts/FONT.bmp" trigger="text-framespersecond"/>
	<text x="571" y="44" align="right" width="6" src="fonts/FONT.bmp" trigger="text-emufrequency"/>

	<button x="82" y="112" src="switches/MUTE-SWITCH.bmp" action="audio-togglemutepsg" visible="enable-psg"/>
	<button x="82" y="112" src="switches/MUTE-SWITCH2.bmp" action="audio-togglemutepsg" visible="not enable-psg"/>
	<button x="126" y="112" src="switches/MUTE-SWITCH.bmp" action="audio-togglemutescc" visible="enable-scc"/>
	<button x="126" y="112" src="switches/MUTE-SWITCH2.bmp" action="audio-togglemutescc" visible="not enable-scc"/>
	<button x="170" y="112" src="switches/MUTE-SWITCH.bmp" action="audio-togglemutepcm" visible="enable-pcm"/>
	<button x="170" y="112" src="switches/MUTE-SWITCH2.bmp" action="audio-togglemutepcm" visible="not enable-pcm"/>
	<button x="214" y="112" src="switches/MUTE-SWITCH.bmp" action="audio-togglemutemsxmusic" visible="enable-msxmusic"/>
	<button x="214" y="112" src="switches/MUTE-SWITCH2.bmp" action="audio-togglemutemsxmusic" visible="not enable-msxmusic"/>
	<button x="258" y="112" src="switches/MUTE-SWITCH.bmp" action="audio-togglemutemsxaudio" visible="enable-msxaudio"/>
	<button x="258" y="112" src="switches/MUTE-SWITCH2.bmp" action="audio-togglemutemsxaudio" visible="not enable-msxaudio"/>
	<!--button x="302" y="112" src="switches/MUTE-SWITCH.bmp" action="audio-togglemutemsxmidi" visible="enable-msxmidi"/-->
	<!--button x="302" y="112" src="switches/MUTE-SWITCH2.bmp" action="audio-togglemutemsxmidi" visible="not enable-msxmidi"/-->
	<button x="346" y="112" src="switches/MUTE-SWITCH.bmp" action="audio-togglemutemoonsound" visible="enable-moonsound"/>
	<button x="346" y="112" src="switches/MUTE-SWITCH2.bmp" action="audio-togglemutemoonsound" visible="not enable-moonsound"/>
	<button x="390" y="112" src="switches/MUTE-SWITCH.bmp" action="audio-togglemutekeyboard" visible="enable-keyboard"/>
	<button x="390" y="112" src="switches/MUTE-SWITCH2.bmp" action="audio-togglemutekeyboard" visible="not enable-keyboard"/>
	<button x="462" y="112" src="switches/MUTE-SWITCH.bmp" action="audio-togglemutemaster" visible="enable-master"/>
	<button x="462" y="112" src="switches/MUTE-SWITCH2.bmp" action="audio-togglemutemaster" visible="not enable-master"/>
	<button x="436" y="34" src="switches/STEREO-BUTTON.bmp" action="audio-togglestereo" visible="enable-stereo"/>
	<button x="436" y="34" src="switches/STEREO-BUTTON2.bmp" action="audio-togglestereo" visible="not enable-stereo"/>
	</block>
    </theme>

    <!--======== Fullscreen size theme ========-->
    <theme mode="fullscreen">
        <emuwindow x="0" y="0"/>
        <menu bgcolor="bdbdbd" focuscolor="6995ba"/>
    </theme>


<!-- Window sizes not implemented in this theme (using default theme)
    <theme mode="small">
    </theme>
    <theme mode="small-fullscreen">
    </theme>
-->

</bluemsxtheme>
